Bug 415111 - xorg-x11-drv-ati-6.7.196 ate my shinybook
xorg-x11-drv-ati-6.7.196 ate my shinybook
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Dave Airlie
Fedora Extras Quality Assurance
: Patch
: 306341 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-12-06 19:46 EST by David Woodhouse
Modified: 2009-01-09 02:30 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-01-09 02:30:38 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Log from working 6.7.195 (49.73 KB, text/plain)
2007-12-06 19:46 EST, David Woodhouse
no flags Details
Log from broken 6.7.196 (49.97 KB, text/plain)
2007-12-06 19:47 EST, David Woodhouse
no flags Details

  None (edit)
Description David Woodhouse 2007-12-06 19:46:41 EST
With 6.7.195 it worked. With 6.7.196 it doesn't -- I get a blank screen when X
is supposed to be running. Will attach both logs; this is the difference:

--- Xorg.1.log  2007-12-07 00:19:50.000000000 +0000
+++ Xorg.2.log  2007-12-07 00:35:20.000000000 +0000
@@ -12,7 +12,7 @@ Module Loader present
 Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
-(==) Log file: "/var/log/Xorg.1.log", Time: Fri Dec  7 00:19:30 2007
+(==) Log file: "/var/log/Xorg.2.log", Time: Fri Dec  7 00:35:13 2007
 (==) Using config file: "/etc/X11/xorg.conf"
 (==) ServerLayout "XFree86 Configured"
 (**) |-->Screen "Screen0" (0)
@@ -244,7 +244,7 @@ Markers: (--) probed, (**) from config f
 (II) LoadModule: "ati"
 (II) Loading /usr/lib/xorg/modules//drivers/ati_drv.so
 (II) Module ati: vendor="X.Org Foundation"
-       compiled for 1.3.0, module version = 6.7.196
+       compiled for 1.3.0, module version = 6.7.195
        Module class: X.Org Video Driver
        ABI class: X.Org Video Driver, version 1.2
 (II) LoadModule: "mouse"
@@ -259,7 +259,7 @@ Markers: (--) probed, (**) from config f
        compiled for 1.3.0, module version = 1.2.2
        Module class: X.Org XInput Driver
        ABI class: X.Org XInput driver, version 0.7
-(II) ATI: ATI driver wrapper (version 6.7.196) for chipsets: mach64, rage128,
radeon
+(II) ATI: ATI driver wrapper (version 6.7.195) for chipsets: mach64, rage128,
radeon
 (II) Primary Device is: PCI 00:10:0
 (II) Loading sub module "radeon"
 (II) LoadModule: "radeon"
@@ -419,7 +419,7 @@ Markers: (--) probed, (**) from config f
 (II) Setting vga for screen 0.
 (II) Enabling PCI device
 (II) RADEON(0): RADEONPreInit
-(II) RADEON(0): MMIO registers at 0x00000000b0000000: size 64KB
+(II) RADEON(0): MMIO registers at 0xb0000000: size 64KB
 (II) RADEON(0): PCI bus 0 card 16 func 0
 (**) RADEON(0): Depth 24, (--) framebuffer bpp 32
 (II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
@@ -430,7 +430,7 @@ Markers: (--) probed, (**) from config f
 (==) RADEON(0): RGB weight 888
 (II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
 (--) RADEON(0): Chipset: "ATI Radeon Mobility 9600/9700 (M10/M11) NP (AGP)"
(ChipID = 0x4e50)
-(--) RADEON(0): Linear framebuffer at 0x00000000b8000000
+(--) RADEON(0): Linear framebuffer at 0xb8000000
 (--) RADEON(0): BIOS at 0xf1000000
 (II) RADEON(0): AGP card detected
 (II) Attempted to read BIOS 64KB from /sys/bus/pci/devices/0000:00:10.0/rom:
got 0KB
@@ -470,6 +470,7 @@ drmOpenByBusid: drmGetBusid reports pci:
 (II) RADEON(0): Existing panel PLL dividers will be used.
 (WW) RADEON(0): Panel size 1440x900 is derived, this may not be correct.
 If not, use PanelSize option to overwrite this setting
+(II) RADEON(0): Using LVDS Native Mode
 (WW) RADEON(0): No valid timing info from BIOS.
 (II) RADEON(0): Output DVI-0 has no monitor section
 (II) RADEON(0): I2C bus "VGA_DDC" initialized.
@@ -495,9 +496,6 @@ If not, use PanelSize option to overwrit
  TMDS Type -- None
  DDC Type  -- None
 (II) RADEON(0): I2C device "DVI_DDC:ddc2" registered at address 0xA0.
-(II) RADEON(0): EDID vendor "APP", prod id 39980
-(II) RADEON(0): Printing DDC gathered Modelines:
-(II) RADEON(0): Modeline "1440x900"x0.0   96.21  1440 1504 1536 1760  900 903
906 912 -hsync -vsync (54.7 kHz)
 (II) RADEON(0): DDC Type: 2, Detected Monitor Type: 2
 (II) RADEON(0): EDID data from the display on connector: Proprietary/LVDS
----------------------
 (II) RADEON(0): Manufacturer: APP  Model: 9c2c  Serial#: 0
@@ -539,7 +537,8 @@ finished output detect: 1
 finished output detect: 2
 finished all detect
 before xf86InitialConfiguration
-(II) RADEON(0): EDID for output LVDS
+(II) RADEON(0): DDC Type: 2, Detected Monitor Type: 2
+(II) RADEON(0): EDID data from the display on connector: Proprietary/LVDS
----------------------
 (II) RADEON(0): Manufacturer: APP  Model: 9c2c  Serial#: 0
 (II) RADEON(0): Year: 2003  Week: 1
 (II) RADEON(0): EDID Version: 1.3
@@ -566,11 +565,8 @@ before xf86InitialConfiguration
 (II) RADEON(0):        00000000000000000a20000000fe004c
 (II) RADEON(0):        503137315730310000000a20000000fc
 (II) RADEON(0):        00436f6c6f72204c43440a2020200056
-(II) RADEON(0): EDID vendor "APP", prod id 39980
-(II) RADEON(0): Printing DDC gathered Modelines:
-(II) RADEON(0): Modeline "1440x900"x0.0   96.21  1440 1504 1536 1760  900 903
906 912 -hsync -vsync (54.7 kHz)
-(II) RADEON(0): DDC Type: 2, Detected Monitor Type: 2
-(II) RADEON(0): EDID data from the display on connector: Proprietary/LVDS
----------------------
+in RADEONProbeOutputModes
+(II) RADEON(0): EDID for output LVDS
 (II) RADEON(0): Manufacturer: APP  Model: 9c2c  Serial#: 0
 (II) RADEON(0): Year: 2003  Week: 1
 (II) RADEON(0): EDID Version: 1.3
@@ -597,7 +593,9 @@ before xf86InitialConfiguration
 (II) RADEON(0):        00000000000000000a20000000fe004c
 (II) RADEON(0):        503137315730310000000a20000000fc
 (II) RADEON(0):        00436f6c6f72204c43440a2020200056
-in RADEONProbeOutputModes
+(II) RADEON(0): EDID vendor "APP", prod id 39980
+(II) RADEON(0): Printing DDC gathered Modelines:
+(II) RADEON(0): Modeline "1440x900"x0.0   96.21  1440 1504 1536 1760  900 903
906 912 -hsync -vsync (54.7 kHz)
 (II) RADEON(0): EDID vendor "APP", prod id 39980
 (II) RADEON(0): Not using default mode "640x350" (vrefresh out of range)
 (II) RADEON(0): Not using default mode "640x400" (vrefresh out of range)
@@ -1037,7 +1035,8 @@ select returned 1
 (II) DevInputMice: ps2EnableDataReporting: succeeded
 (II) RADEON(0): RADEONSaveScreen(2)
 enable montype: 2
-(II) RADEON(0): RADEONLeaveVT
+(II) RADEON(0): RADEONCloseScreen
+(II) RADEON(0): RADEONDRIStop
 (II) RADEON(0): RADEONRestore
 disable montype: 2
 (II) RADEON(0): RADEONRestoreMemMapRegisters() : 
@@ -1062,11 +1061,8 @@ Restore TV Restarts
 Restore Timing Tables
 Restore TV standard
 Leaving Restore TV
-(II) RADEON(0): Ok, leaving now...
-(II) RADEON(0): RADEONCloseScreen
-(II) RADEON(0): RADEONDRIStop
 (II) RADEON(0): Disposing accel...
-(II) RADEON(0): Disposing cursor info
+(II) RADEON(0): Disposing cusor info
 (II) RADEON(0): Disposing DGA
 (II) RADEON(0): Unmapping memory
 FreeFontPath: FPE "unix/:7100" refcount is 2, should be 1; fixing.
Comment 1 David Woodhouse 2007-12-06 19:46:41 EST
Created attachment 280321 [details]
Log from working 6.7.195
Comment 2 David Woodhouse 2007-12-06 19:47:23 EST
Created attachment 280341 [details]
Log from broken 6.7.196
Comment 3 David Woodhouse 2007-12-06 20:38:43 EST
This is the patch that broke it; reverting this patch restores functionality.

http://gitweb.freedesktop.org/?p=xorg/driver/xf86-video-ati.git;a=commitdiff;h=f2eb5c1cc69a4f7b0754ec6b2efde4fa1650ab6d
Comment 4 Matěj Cepl 2008-01-25 08:14:02 EST
*** Bug 306341 has been marked as a duplicate of this bug. ***
Comment 5 Bug Zapper 2008-11-26 03:52:34 EST
This message is a reminder that Fedora 8 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 8.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '8'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 8's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 8 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-01-09 02:30:38 EST
Fedora 8 changed to end-of-life (EOL) status on 2009-01-07. Fedora 8 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.